# Korisnički priručnik KDE-a

Lori
Vots
lauri@kde.org
7. jun 2005.
KDE
kdesu
1

# `kdesu`

Pokreće program sa povišenim ovlašćenjima.

    kdesu -c -d -f fajl -i ime-ikone -n -p prioritet -r -s -t -u korisnik --nonewdcop naredba arg1 arg2

    kdesu generičke-KDE-opcije generičke-Qt-opcije

## Opis

KDE su je grafičko sučelje za unix naredbu `su` za KDE. Omogućava vam da pokrenete program pod drugim korisnikom, zadavši njegovu lozinku. KDE su nije povlašćen program, već koristi sistemsku `su`.

KDE su ima jednu dodatnu mogućnost: može opciono da pamti lozinke umesto vas. Ako se oslonite na ovo, za svaku naredbu treba samo jedanput da unesete lozinku.

Ovaj program je namenjen pokretanju iz komandne linije ili iz .desktop fajlova.

## Opcije

`-c naredba`

  Zadaje da se naredba prosleđena kao argument izvršava pod korenom. Na primer, kada poželite da pokrenete novi menadžer fajlova, uneli biste u odzivnik: ``kdesu`-c kfm -sw```

`-d`

  Ispis ispravljačkih podataka.

`-f fajl`

  Ova opcija omogućava efikasno korišćenje KDE sua u .desktop fajlovima. Govori KDE suu da ispita fajl zadat parametrom `fajl`: ako je taj fajl upisiv za trenutnog korisnika, KDE su će izvršiti naredbu pod tim korisnikom; ako nije, naredba se izvršava pod zadatim korisnikom (podrazumevano je to koren, `root`).

  Parametar `fajl` obrađuje se ovako: ako počinje sa `/`, uzima se za apsolutnu putanju do fajla; inače, uzima se za ime globalnog KDE postavnog fajla. Na primer: da biste podesili menadžer prijavljivanja KDM (`kdm`), mogli biste izdati `kdesu`-c kdmconfig -f kdmrc``

`-i` ime-ikone

  Zadaje ikonu za upotrebu u dijalogu lozinke. Možete zadati samo ime bez nastavka.

`-n`

  Bez pamćenja lozinke. Isključuje kućicu Upamti lozinku u dijalogu lozinke.

`-p` prioritet

  Postavlja vrednost prioriteta, na broj između 0 i 100: 0 znači najniži prioritet, a 100 najviši. Podrazumevano je 50.

`-r`

  Stvarnovremensko raspoređivanje.

`-s`

  Zaustavlja demona KDE sua, koji u pozadini kešira prihvaćene lozinke. Ova mogućnost takođe se može isključiti opcijom `-n` pri prvom pokretanju KDE sua.

`-t`

  Uključuje terminalski izlaz. Takođe isključuje pamćenje lozinki. Ovo umnogome služi u ispravljačke svrhe; ako želite da pokrenete program konzolnog režima, upotrebite umesto ovoga standardnu `su`.

`-u` korisnik

  Iako je najčešća primena KDE sua izvršavanje naredbe pod korenom, možete zadati bilo koje korisničko ime i odgovarajuću lozinku.

## Vidi još

`su`(1)

Detaljnija korisnička dokumentacija raspoloživa je kroz help:/kdesu (unesite ovaj URL u K-osvajač, ili izvršite ``khelpcenter` `help:/kdesu``).

## Primeri

Izvršite `kfmclient` pod korisnikom pera, s ikonom K-osvajača u dijalogu lozinke:

    kdesu -u pera -i konqueror kfmclient

## Autori

KDE su napisali su Gert Jansen jansen@kde.org i Pijetro Iljo iglio@fub.it.